- Qt 5.15
- Qt Charts
- C++ Classes
- QBoxPlotLegendMarker
- Qt Charts | Commercial or GPLv3

# QBoxPlotLegendMarker Class

The QBoxPlotLegendMarker class is a legend marker for a box plot series. More...

Header: | #include <QBoxPlotLegendMarker>
Inherits: | QLegendMarker

- List of all members, including inherited members

## Public Functions

virtual | ~QBoxPlotLegendMarker()

## Reimplemented Public Functions

virtual QBoxPlotSeries * | series() override
virtual LegendMarkerType | type() override

## Detailed Description

A box plot legend marker is related to a QBoxPlotSeries object.

See also QLegend and QBoxPlotSeries.

## Member Function Documentation

### `[virtual]` QBoxPlotLegendMarker::~QBoxPlotLegendMarker()

Removes the legend marker for a box plot series.

### `[override virtual]` QBoxPlotSeries *QBoxPlotLegendMarker::series()

Reimplements: QLegendMarker::series().

### `[override virtual]` LegendMarkerType QBoxPlotLegendMarker::type()

Reimplements: QLegendMarker::type().